package org.apache.cocoon.components.flow.javascript;

import org.apache.log.Logger;
import org.mozilla.javascript.ScriptableObject;

/**
 * JavaScript interface to the Cocoon log facility.
 *
 * @author <a href="mailto:ovidiu@cup.hp.com">Ovidiu Predescu</a>
 * @since March 16, 2002
 */
public class JSLog extends ScriptableObject
{
  Logger logger;

  public JSLog() {}

  public String getClassName()
  {
    return "Log";
  }

  public void setLogger(Logger logger)
  {
    this.logger = logger;
  }

  public void jsFunction_debug(String message)
  {
    logger.debug(message);
  }

  public void jsFunction_info(String message)
  {
    logger.info(message);
  }

  public void jsFunction_warn(String message)
  {
    logger.warn(message);
  }

  public void jsFunction_error(String message)
  {
    logger.error(message);
  }
}
