<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:sch="http://www.ascc.net/xml/schematron" 
 xmlns:zvon="http://zvon.org/schematron"
 xmlns:request="http://xml.apache.org/cocoon/requestgenerator/2.0"
 >

	<xsl:param name="base"/>

<!-- 

	This StyleSheet converts the output of the Validator and wraps it 
	with 'source:write' tags, so the SourceWritingTransformer can save it
	only if there have been no validation errors.

	NB. the indentation of these templates effects the output document
	
	NB. it can get tricky to decide which namespaces need to be in which stylesheet, 
	to make sure the wrong ones don't end up being written to source
		
-->

 
<xsl:template match="editor">
	<editor>
		<xsl:copy-of select="@*"/>
		<xsl:choose>
			<xsl:when test="instance/@behaviour='put'">			
				<instance behaviour="{instance/@behaviour}" target="{instance/@target}"><source:write src="{concat($base,instance/@target)}" xml:space="preserve" xmlns:source="http://apache.org/cocoon/source/1.0">
<xsl:apply-templates select="instance/*"/>
				</source:write></instance>
			</xsl:when>			
			<xsl:otherwise>
				<instance behaviour="{instance/@behaviour}" target="{instance/@target}">
<xsl:apply-templates select="instance/*"/>
				</instance>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:apply-templates select="validationResult"/>
	</editor>
</xsl:template>

<!-- copy content
	<xsl:template match="para"><para i="t"><xsl:value-of disable-output-escaping="yes" select="text()"/></para></xsl:template>
	-->
<!-- copy anything -->
  <xsl:template match="@*|node()" priority="-2"><xsl:copy><xsl:apply-templates select="@*|node()"/></xsl:copy></xsl:template>
  <xsl:template match="text()" priority="-1"><xsl:value-of select="."/></xsl:template>

</xsl:stylesheet>
