<?xml version="1.0"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:source="http://apache.org/cocoon/source/1.0"
>

  <xsl:param name="view-source"/>

  <xsl:template match="page">
   <html>
    <head>
     <title>
      <xsl:value-of select="title"/>
     </title>
		 <style><![CDATA[
		 <!--
				a{text-decoration:none}
				a:hover{text-decoration:underline}
				body{font-family : sans-serif,Arial,Tahoma;color:black;background-color : white;} 
				form{font-size:12px;background:#0086B2}
				.notify{font-size:15px;}
				.notes{font-size:12px;font-weight:bold;color:white;background:#0086B2}
				.result{font-size:12px;color:black}
				.failure{font-size:12px;font-weight:bold;color:red}
				.success{font-size:12px;color:black}
				.caption{font-size:12px;font-weight:bold;color:black;}
				textarea{font-size:12px;font-family : geneva,arial,sans-serif;}
		 //-->]]>
		 </style>
    </head>
    <body bgcolor="white" alink="red" link="blue" vlink="blue" style="font-family:trebuchet,arial,geneve,sans serif">
     <xsl:apply-templates/>
    </body>
   </html>
  </xsl:template>

	<xsl:template match="title">
		<h2 style="color: navy; text-align: center">
			<xsl:choose>
				<xsl:when test="$view-source">
					<a>
						<xsl:attribute name="href">../../../view-source?filename=mount/editor/<xsl:value-of select="$view-source"/></xsl:attribute>
						<xsl:attribute name="target">source</xsl:attribute>
						<xsl:apply-templates/>
					</a>
				</xsl:when>
				<xsl:otherwise><xsl:apply-templates/></xsl:otherwise>
      </xsl:choose>     
		</h2>
  </xsl:template>

  <xsl:template match="para">
   <p align="left">
    <xsl:apply-templates/>
   </p>
  </xsl:template>

  <xsl:template match="import">
   <blockquote style="color:green;">
    <xsl:apply-templates/>
   </blockquote>
  </xsl:template>

  <xsl:template match="source:write">
		<table border="0" cellspacing="0" cellpadding="5" width="100%">
			<tr>
				<td class="caption">Result</td>
				<td class="result">
					<span class="{@result}">
						<xsl:value-of select="@result"/>
					</span>
				</td>
			</tr>
			<xsl:if test="@result = 'failed'">
				<tr>
					<td class="caption">Error</td>
					<td class="result">
						<span class="{@result}">
							<xsl:value-of select="text()"/>
						</span>
					</td>
				</tr>					
			</xsl:if>
			<tr>
				<td class="caption">Source</td>
				<td class="result">
					<xsl:value-of select="@src"/>
				</td>
			</tr>
			<xsl:if test="@action">
				<tr>
					<td class="caption">Action</td>
					<td class="result">
						<xsl:choose>
							<xsl:when test="@action = 'none'">None taken</xsl:when>
							<xsl:when test="@action = 'new'">New file created</xsl:when>
							<xsl:when test="@action = 'overwritten'">Existing file overwritten</xsl:when>
							<xsl:otherwise>Unknown</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="@serializer">
				<tr>
					<td class="caption">Serializer</td>
					<td class="result">
						<xsl:value-of select="@serializer"/>
					</td>
				</tr>
			</xsl:if>
		</table>
  </xsl:template>


  <xsl:template match="@*|node()" priority="-2"><xsl:copy><xsl:apply-templates select="@*|node()"/></xsl:copy></xsl:template>
  <xsl:template match="text()" priority="-1"><xsl:value-of select="."/></xsl:template>

</xsl:stylesheet>
